Bug 143632 - sysreport hangs on reading /proc/sysrq-trigger
sysreport hangs on reading /proc/sysrq-trigger
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: sysreport (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-22 21:44 EST by Rob Kearey
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 07:47:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Kearey 2004-12-22 21:44:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040929

Description of problem:
When running sysreport on a AS2.1-U6 machine, it hangs at the following:

...
Collecting host resolution information                     [  OK  ]
Collecting information about the nameserver (named.conf)   [  OK  ]
Collecting information about the nameserver (/)/bin/cp: will not create hard link `/tmp/sysreport.4296/proc/tty/driver' to directory `/tmp/sysreport.4296/proc/tty/driver'
/bin/cp: reading `/proc/sys/net/ipv4/route/flush': Invalid argument
/bin/cp: reading `/proc/sysrq-trigger': Invalid argument

Sysreport is sleeping from then on, stuck on a read(...). No further activity occurs. ctrl-c is required, and the sysreport is incomplete.


cat /proc/version
Linux version 2.4.9-e.57 (bhcompile@tweety.build.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux 7.2 2.96-129.7.2)) #1 Thu Dec 2 20:56:19 EST 2004




Version-Release number of selected component (if applicable):
sysreport-1.3.7.0-1

How reproducible:
Always

Steps to Reproduce:
1. Run sysreport


  

Actual Results:  Hangs forever on reading /proc/sysrq-trigger

Expected Results:  Full sysreport generated as usual

Additional info:
Comment 5 Jay Turner 2005-06-21 07:47:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-502.html

Note You need to log in before you can comment on or make changes to this bug.